using AsteroidGame.ScriptableObjects;
using ScriptableObjectArchitecture;
using UnityEngine;

namespace AsteroidGame.Handlers
{
    public class EnemyHandler : HandlerBase
    {
        [Header("Parameters")]
        [SerializeField] [Range(0.1f, 60f)] private float _spawnRate = 60f;
        [SerializeField] private int _objectPoolSize = 15;

        [Header("Configuration")]
        [SerializeField] private SoEnemyBaseList _availableEnemies;

        [Header("Lists")]
        [SerializeField] private GameObjectCollection _activeEnemies;
    }
}